package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.balanceclient;

/**
 * Created by buhter on 14/02/2017.
 */
public class BalanceClientJSONResponse {
    private Integer code;
    private String errorMessage;

    public BalanceClientJSONResponse() {
    }

    public BalanceClientJSONResponse(String[] response) {
        this.code = Integer.parseInt(response[0]);
        this.errorMessage = response[1];
    }

    public Integer getCode() {
        return code;
    }

    public BalanceClientJSONResponse withCode(Integer code) {
        this.code = code;
        return this;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public BalanceClientJSONResponse withErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
        return this;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }
}

